1. Item
itemdb API Guide
  • General
    • Getting Started
    • API Access
    • Slugs
    • Widget
      • Widget
      • Tab Example
  • v1
    • Item
      • Get latest items
        GET
      • Get an item
        GET
      • Get item's price history
        GET
      • Get item's auction history
        GET
      • Get item's restock history
        GET
      • Get item's trade history
        GET
      • Get items color palette
        GET
      • Get item's color palette
        POST
      • Get many items
        GET
      • Get many items
        POST
      • Get Item Drops Data
        GET
      • Get Dyeworks Variants
        GET
      • Get MME Paths
        GET
      • Get Item Effects
        GET
      • Get Cooking Pot Recipes
        GET
    • Search
      • Search for an item
    • Lists
      • Get List Info
      • Get List Item Info
      • Get List Item Data
    • Misc
      • Get all ways to change a Pet Color/Species
      • Get wearable preview
      • Get cached item's thumbnail
    • Schemas
      • Schemas
        • SaleStatus
        • ItemMallData
        • UseTypes
        • ListData
        • ListItemInfo
        • ItemData
        • itemColorData
        • ItemPriceData
        • OwlsData
        • ItemRestockData
        • ItemAuctionData
        • TradeData
        • TradeItem
        • UserList
        • ListItemInfo
        • ColorData
        • SearchFilters
  • v2
    • Intents & Cache
    • Items
      • Get a single item
      • Get many items
      • Get many items
    • Search
      • Search items
    • Lists
      • Get a list's items
    • Schemas
      • ItemIntent
      • ItemFlags
      • ItemPriceField
      • ItemPriceV2
      • NCValue
      • ItemSaleStatusV2
      • UseTypes
      • ThreeStateBoolean
      • ItemV2Minimal
      • ItemV2Card
      • ItemV2Pricer
      • ItemV2Full
      • Error
  1. Item

Get items color palette

GET
https://itemdb.com.br/api/v1/items/colors
Data Point Cost:0
Gets the ColorData for one or more items.
Send an array by repeating the image_id parameter multiple times

Request

Query Params

Responses

🟢200OK
application/json
Returns a object where [image_id] is one of passed params and [colorType] is one of the six color palette types
Bodyapplication/json

Example
{
    "negg": {
        "darkmuted": {
            "internal_id": 425,
            "population": 3,
            "image": "https://images.neopets.com/items/negg.gif",
            "image_id": "negg",
            "hsv": [
                32,
                40,
                51
            ],
            "rgb": [
                129,
                105,
                78
            ],
            "lab": [
                46,
                6,
                19
            ],
            "type": "darkmuted",
            "hex": "#81694E"
        },
        "darkvibrant": {
            "internal_id": 422,
            "population": 2,
            "image": "https://images.neopets.com/items/negg.gif",
            "image_id": "negg",
            "hsv": [
                23,
                98,
                67
            ],
            "rgb": [
                172,
                68,
                4
            ],
            "lab": [
                43,
                40,
                52
            ],
            "type": "darkvibrant",
            "hex": "#AC4404"
        },
        "lightmuted": {
            "internal_id": 426,
            "population": 15,
            "image": "https://images.neopets.com/items/negg.gif",
            "image_id": "negg",
            "hsv": [
                37,
                11,
                80
            ],
            "rgb": [
                204,
                195,
                181
            ],
            "lab": [
                79,
                1,
                8
            ],
            "type": "lightmuted",
            "hex": "#CCC3B5"
        },
        "lightvibrant": {
            "internal_id": 423,
            "population": 2,
            "image": "https://images.neopets.com/items/negg.gif",
            "image_id": "negg",
            "hsv": [
                29,
                61,
                85
            ],
            "rgb": [
                216,
                148,
                84
            ],
            "lab": [
                67,
                19,
                44
            ],
            "type": "lightvibrant",
            "hex": "#D89454"
        },
        "muted": {
            "internal_id": 424,
            "population": 7,
            "image": "https://images.neopets.com/items/negg.gif",
            "image_id": "negg",
            "hsv": [
                25,
                44,
                66
            ],
            "rgb": [
                168,
                125,
                94
            ],
            "lab": [
                56,
                13,
                23
            ],
            "type": "muted",
            "hex": "#A87D5E"
        },
        "vibrant": {
            "internal_id": 421,
            "population": 58,
            "image": "https://images.neopets.com/items/negg.gif",
            "image_id": "negg",
            "hsv": [
                29,
                98,
                80
            ],
            "rgb": [
                203,
                99,
                4
            ],
            "lab": [
                54,
                37,
                61
            ],
            "type": "vibrant",
            "hex": "#CB6304"
        }
    }
}
Modified at 2026-04-26 15:05:24
Previous
Get item's trade history
Next
Get item's color palette
Built with